Skip to main content
POST
/
domains
Create a domain
curl --request POST \
  --url https://app.heyoo.ai/api/domains \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "slug": "acme.com",
  "expiredUrl": "https://acme.com/expired",
  "archived": false,
  "placeholder": "https://valuedeck.io/help/article/what-is-valuedeck"
}
'
{
  "id": "<string>",
  "slug": "acme.com",
  "verified": false,
  "primary": false,
  "archived": false,
  "placeholder": "https://valuedeck.io/help/article/what-is-valuedeck",
  "expiredUrl": "https://acme.com/expired",
  "notFoundUrl": "https://acme.com/not-found",
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

Default authentication mechanism

Body

application/json
slug
string
required

Name of the domain.

Required string length: 1 - 190
Example:

"acme.com"

expiredUrl
string | null

Redirect users to a specific URL when any link under this domain has expired.

Example:

"https://acme.com/expired"

archived
boolean
default:false

Whether to archive this domain. false will unarchive a previously archived domain.

Example:

false

placeholder
string | null

Provide context to your teammates in the link creation modal by showing them an example of a link to be shortened.

Example:

"https://valuedeck.io/help/article/what-is-valuedeck"

Response

The domain was created.

id
string
required

The unique identifier of the domain.

slug
string
required

The domain name.

Example:

"acme.com"

verified
boolean
default:false
required

Whether the domain is verified.

primary
boolean
default:false
required

Whether the domain is the primary domain for the workspace.

archived
boolean
default:false
required

Whether the domain is archived.

placeholder
string | null
default:https://valuedeck.io/help/article/what-is-valuedeck
required

Provide context to your teammates in the link creation modal by showing them an example of a link to be shortened.

Example:

"https://valuedeck.io/help/article/what-is-valuedeck"

expiredUrl
string | null
required

The URL to redirect to when a link under this domain has expired.

Example:

"https://acme.com/expired"

notFoundUrl
string | null
required

The URL to redirect to when a link under this domain doesn't exist.

Example:

"https://acme.com/not-found"

createdAt
string
required

The date the domain was created.

updatedAt
string
required

The date the domain was last updated.